<?php
/* 
Main entry point of WWLabor 
https://www.mwiede.de/windows-php-webserver/wwlabor.htm
*/

require_once ("main.inc.php");
define ("WWADMIN_PATH", $CONFIG_GLOBAL["wwadmin_path"]);
require_once (WWADMIN_PATH."/class.wwadminsesison.inc.php");
$session = new WWAdminSession ();
$view = WSystem::getParam ("view");
if ($view=="logout")
	$session->logout ();
if ($view=="request_pwd" || !is_file (WWADMIN_PATH."/cfg/login.txt")) {
	header ("Location: wwadmin/?view=request_pwd&ref=".$_SERVER["REQUEST_URI"]);
	exit;
}
else
if (!$session->isLogin ()) {
	header ("Location: /wwadmin/?ref=".$_SERVER["REQUEST_URI"]);
	exit;
}
else {
	$cmd = "";
	if (isset ($_GET["cmd"]))
		$cmd = $_GET["cmd"];
	if ($cmd=="save") {
		// Simple save the content of file
		if (isset ($_POST["content"])) {
			$content = $_POST["content"];			
			$fh = fopen ($filename, "w+");
			if ($fh) {
				fwrite ($fh, $content);
				fclose ($fh);
				echo "OK";
				exit;
			}
		}
		echo "NOK";
		exit;
	}
	
	$path = rtrim (pathinfo($_SERVER["PHP_SELF"], PATHINFO_DIRNAME), "/\\");

?>
<!DOCTYPE html>
<html lang="en">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">	
	  <title>WWLabor - Test scripts with WWebserver</title>
	  <meta name="robots" content="noindex,nofollow" />
	  <link rel="shortcut icon" href="images/favicon.ico" /> 
  </head>
  <frameset cols="20%,40%,40%">
    <frame src="<?php echo $path; ?>/navigator.php?f=<?php echo $filename;?>" name="navigator">
    <frame src="<?php echo $path; ?>/editor.php?f=<?php echo $filename;?>" name="editor">
    <frame src="<?php echo $path."/".$filename;?>" name="output">
  </frameset>
</html>
</body>
</html>
<?php
}
?>