<?php

require_once (WLIB_PATH."/php/class.wimageutils.php");

class Thumbnailer {
	
	private $path = "";
	
	public function __construct ($path="") {
		if (empty ($path))
			$path = WSystem::getConf ("content_path");
		$this->path = $path;
	}
	
	public function __destruct () {
	}
	
	public function setPath ($path) {
		$this->path = $path;	
	}
	
	public function deleteThumbnail ($filename) {
	
		for ($num=0;$num<5;$num++) {
			$n = "";
			if ($num>0)
				$n = $num+1;
	
			$thumbFilename = "";
			if (!empty ($filename)) {
				$thumbFilename = ROOT_PATH."/".$this->path."/tb".$n."_".$filename;
			}
			if (!empty ($thumbFilename) && is_file ($thumbFilename)) {
				unlink ($thumbFilename);		
			}	
		}
	}
	
	public function createThumbnail ($num, $filename, $width, $height, $scaleMode=0, $quality=85) {
	
		$thumbFilename = ROOT_PATH."/".$this->path."/tb".$num."_".$filename;
		$srcFilename = ROOT_PATH."/".$this->path."/".$filename;
		if (!WImageUtils::createThumbnail ($srcFilename, $thumbFilename, $width, $height, $scaleMode, $quality))
		{
			$ext = strtolower (WUtils::getFileExtension ($filename));
			if ($ext=="jpg" || $ext=="png" || $ext=="gif")
				copy ($srcFilename, $thumbFilename);
		}
	}
	
	public function renameThumbnail ($filename, $filename2) {
	
		for ($num=0;$num<5;$num++) {
			$n = "";
			if ($num>0)
				$n = $num+1;
			if (is_file (ROOT_PATH."/".$this->path."/tb".$n."_".$filename)) {
				rename (
					ROOT_PATH."/".$this->path."/tb".$n."_".$filename,
					ROOT_PATH."/".$this->path."/tb".$n."_".$filename2);
			}
		}	
	}		
}

?>